/**
* @file config.h
*
* Copyright (c) 2005 Atmel.
*
* @brief {AT90PWM3p̌`Ԑݒ`邽߂̻޽񋟂܂B
* nˑĳ`ԂLq܂B
* ̧ق͌n̍L͈͂̌`Ԑݒ𱸾邽߂ɑSĂ̿ ̧قɂĲݸٰނ
* ܂B
* @version 1.0 (CVS revision : $Revision: 1.2 $)
* @date $Date: 2006/06/23 13:16:31 $
* @author $Author: raubree $

******************************************************************************/

//_____ ݸٰ _______________________________________________________________
#include "compiler.h"
#include "mcu.h"
#include "inavr.h"

#ifndef _CONFIG_H_
#define _CONFIG_H_
#endif

#define BOARD_ID	1	/* 0:m, 1:MC100, 2:MC200 */
#define SOFT_ID		3	/* 0:m, 1:BLDCmL, 2:BLDC, 3:BLDCmȂ */
#define REV_ID		1

#define MCU_REV_B						/* MC100AT90PWM3BgpƂ */

//#define USE_INTERNAL_COMPARATORS		/* AT90PWMxrgp]ޏꍇ */

/*-------------- UART LIB`Ԑݒ ---------------*/

#define BAUDRATE	38400
#define FOSC		16000

#define uart_putchar putchar


//! @defgroup ADC_defines_configuration_values A/Dϊ`Ԑݒl`
//! ]ތ`ԐݒA/Dϊ평`
//! @{
#define USE_ADC

#define ADC_RIGHT_ADJUST_RESULT		0	//!< 0:ʍA1:ʉE
#define ADC_HIGH_SPEED_MODE			1	//
#define ADC_INTERNAL_VREF			1	//!< 0:OdA1:dA2:Vcc(VrefVccɐڑ)
#define ADC_IT						1	//!< 0:A/Dϊ荞݂ȂA1:A/Dϊ荞ݗL
#define ADC_PRESCALER				4	//!< 2,4,8,16,32,64,128 : A/Dϊg͂̒萔lŕꂽ ۯgłB

//! @defgroup DAC_defines_configuration_values D/Aϊ`Ԑݒl`
//! ]ތ`ԐݒD/Aϊ평`
//! @{
#define USE_DAC

#define DAC_INPUT_RIGHT_ADJUST		0	//!< 0:A1:E
#define DAC_INTERNAL_VREF			1	//!<
#define DAC_OUTPUT_DRIVER			1	//!<

//! @defgroup AMP1_defines_configuration_values 1`Ԑݒl`
//! ]ތ`Ԑݒlő1`
//! @{
#define USE_AMP1

#define AMP1_INPUT_SHUNT			0	//!< 0:͒Z֎~A1:͒Z
#define AMP1_GAIN					20	//!< 5:5A10:10A20:20A40:40
#define AMP1_CLOCK					1	//!< 0:ۯA1:PSC0ۯA2:PSC1ۯA3:PSC2ۯ

//! @defgroup COMPARATORs_defines_configuration_values r`Ԑݒl`
//! ]ތ`ԐݒŔr평`
//! @{
#define USE_COMP0
#define COMPARATOR0_IT				1	//!< 0:r튄荞݋֎~A1:r튄荞݋
#define COMPARATOR0_IT_EVENT		0	//!< r튄荞ݎ=> 0:؂ւA2:~[A3:㏸[
#ifdef USE_INTERNAL_COMPARATORS
 #define COMPARATOR0_NEGATIVE_INPUT	5	//!< r픽]͑I=> 0:Vref/6.40A1:Vref/3.20A2:Vref/2.13A3:Vref/1.60A4:ACMPMA5:D/Aϊo
#else
 #define COMPARATOR0_NEGATIVE_INPUT	3	//!< r픽]͑I=> 0:Vref/6.40A1:Vref/3.20A2:Vref/2.13A3:Vref/1.60A4:ACMPMA5:D/Aϊo
#endif

#define USE_COMP1
#define COMPARATOR1_IT				1	//!< 0:r튄荞݋֎~A1:r튄荞݋
#define COMPARATOR1_IT_EVENT		0	//!< r튄荞ݎ=> 0:؂ւA2:~[A3:㏸[
#ifdef USE_INTERNAL_COMPARATORS
 #define COMPARATOR1_NEGATIVE_INPUT	5	//!< r픽]͑I=> 0:Vref/6.40A1:Vref/3.20A2:Vref/2.13A3:Vref/1.60A4:ACMPMA5:D/Aϊo
#else
 #define COMPARATOR1_NEGATIVE_INPUT	3	//!< r픽]͑I=> 0:Vref/6.40A1:Vref/3.20A2:Vref/2.13A3:Vref/1.60A4:ACMPMA5:D/Aϊo
#endif

#define USE_COMP2
#define COMPARATOR2_IT				1	//!< 0:r튄荞݋֎~A1:r튄荞݋
#define COMPARATOR2_IT_EVENT		0	//!< r튄荞ݎ=> 0:؂ւA2:~[A3:㏸[
#ifdef USE_INTERNAL_COMPARATORS
 #define COMPARATOR2_NEGATIVE_INPUT	5	//!< r픽]͑I=> 0:Vref/6.40A1:Vref/3.20A2:Vref/2.13A3:Vref/1.60A4:ACMPMA5:D/Aϊo
#else
 #define COMPARATOR2_NEGATIVE_INPUT	3	//!< r픽]͑I=> 0:Vref/6.40A1:Vref/3.20A2:Vref/2.13A3:Vref/1.60A4:ACMPMA5:D/Aϊo
#endif
