/**
* @file mc_lib.h
*
* Copyright (c) 2005 Atmel.
*
* @brief {AT90PWM3p̌^錾񋟂܂B
* @version 1.0 (CVS revision : $Revision: 1.3 $)
* @date $Date: 2006/07/12 12:58:27 $
* @author $Author: raubree $
*****************************************************************************/

#ifndef _MC_LIB_H_
#define _MC_LIB_H_

extern Bool mci_direction;
extern Bool mci_run_stop;

//void mci_motor_run(void);
Bool mci_motor_is_running(void);
void mc_motor_init(void);

void mci_set_motor_speed(U8 speed);
U8 mci_get_motor_speed(void);

void mci_set_motor_direction(U8 direction);
U8 mci_get_motor_direction(void);
#define mci_get_motor_direction() mci_direction

void mci_store_measured_speed(U8 measured_speed);
U8 mci_get_measured_speed(void);

U16 mci_get_measured_current(void);
void mci_store_measured_current(U16 current);

U8 mci_get_potentiometer_value(void);
void mci_store_potentiometer_value(U8 potentiometer);

void mci_run(void);
void mci_stop(void);

void mci_forward(void);
void mci_backward(void);
void mci_set_speed(U16);

#endif
